//////////////////////////////////////////////////////////////////
// (c) Copyright 1998-2002, 2003- by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-

#include "Message/CommunicateGroup.h"
#include "Message/TagMaker.h"

CommunicateGroup::CommunicateGroup(Communicate& acomm, int ndiv):
  Communicate(acomm.split(ndiv)), parent(acomm){
}

/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 1410 $   $Date: 2006-10-21 10:34:39 -0500 (Sat, 21 Oct 2006) $
 * $Id: CommunicateGroup.cpp 1410 2006-10-21 15:34:39Z jnkim $ 
 ***************************************************************************/
