//////////////////////////////////////////////////////////////////
//                        COPYRIGHT NOTICE
// (c) Copyright 1998-2002 by Jeongnim Kim
//   All rights reserved.
//////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////
//                    CONTACT INFORMATION
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-

#include "Numerics/OhmmsBlas.h"

const int BLAS::INCX;
const int BLAS::INCY;
const char BLAS::UPLO;
const char BLAS::TRANS;

const float  BLAS::sone = 1.0e0;
const float  BLAS::szero = 0.0e0;
const double BLAS::done = 1.0e0;
const double BLAS::dzero = 0.0e0;
const complex<float> BLAS::cone = 1.0e0;
const complex<float> BLAS::czero = 0.0e0;
const complex<double> BLAS::zone = 1.0e0;
const complex<double> BLAS::zzero = 0.0e0;

/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 298 $   $Date: 2005-05-07 09:30:24 -0500 (Sat, 07 May 2005) $
 * $Id: OhmmsBlas.cpp 298 2005-05-07 14:30:24Z jnkim $ 
 ***************************************************************************/

